/*
 Theme Name: Astra Child
 Theme URI: https://wpastra.com/
 Description: Child theme for Astra with basic enqueue and starter styles.
 Author: Your Name
 Author URI: https://example.com/
 Template: astra
 Version: 1.0.0
 Text Domain: astra-child
*/

/* Starter variables */
:root {
  --brand: #233e2d;
}

body {
  accent-color: var(--brand);
}

a {
  text-decoration: none !important;
}

.btn,
.button,
button,
input[type="submit"] {
  border-radius: 0.5rem;
}


/* ======================
   Boxed Layout 1200px
   ====================== */

.site,
.site-header,
.ast-site-header-wrap,
.site-footer,
.ast-container,
.uagb-container-inner-blocks-wrap {
  max-width: 1200px;
  margin: 0 auto;
  width: 100%;
  padding: 0;
  box-sizing: border-box;
  background-color: #ffffff;
}

/* Responsive – ispod 1440px sve prelazi na punu širinu */
@media (max-width: 1200px) {
  .site,
  .site-header,
  .ast-site-header-wrap,
  .site-footer,
  .ast-container,
  .uagb-container-inner-blocks-wrap {
    max-width: 100%;
  }
}

/* Astra/Gutenberg poravnanja na manjim ekranima */
@media (max-width: 1200px) {
  .ast-separate-container .entry-content > .alignfull,
  .ast-separate-container .entry-content[data-ast-blocks-layout] > .alignwide,
  .ast-plain-container .entry-content[data-ast-blocks-layout] > .alignwide,
  .ast-plain-container .entry-content .alignfull {
    margin-left: 0 !important;
    margin-right: 0 !important;
  }
}

/* ======================
   FIXED HEADER 1440px BOXED
   ====================== */

.site-header {
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%); /* centrira header */
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  z-index: 7;
  transition: all 0.2s ease-in-out;
  background-color: #ffffff;
  box-sizing: border-box;
}

.site-header .site-branding {
  padding: 0.5em 0;
}

.ast-below-header-bar .ast-container {
  background: transparent;
}


/* Da se sadržaj ne sakrije ispod headera */

body {
  margin-top: 190px;
  background-color: rgb(246, 246, 246) !important;
}

/* Responsive fallback */

@media (max-width: 1200px) {
  body {
    padding-top: 25px;
  }

  .site-header {
    left: 0;
    transform: none;
    max-width: 100%;
    /*padding-left: 2rem;
    padding-right: 2rem;*/
    padding-left: 0px;
    padding-right: 0px;
  }

  .ast-header-break-point #masthead .ast-mobile-header-wrap .ast-above-header-bar,
  .ast-header-break-point #masthead .ast-primary-header-bar.main-header-bar{
    padding-left: 0px;
    padding-right: 0px;
  }

  .ast-header-break-point .main-header-menu {
    background-color: #ffffff;
  }

  #masthead .ast-mobile-header-wrap .ast-below-header-bar{
    padding-left: 5px!important;
    padding-right: 10px!important;
  }

}


@media (max-width: 768px) {
    body{
      padding-top: 0px;
      margin-top: 205px;
    }

    nav ul.main-header-menu.ast-flex{
      justify-content: flex-end;
    }

    nav.site-navigation ul.main-header-menu.ast-flex .menu-link {
      padding: 0 10px;
    }
}



/* ======================
   HEADER ELEMENTS
   ====================== */

.ast-search-menu-icon.slide-search .search-form {
  right: 0px;
}

.ast-search-icon {
  padding-right: 10px;
}

.ast-desktop .ast-below-header-bar .main-header-menu > .menu-item.current-menu-item,
.ast-desktop .ast-below-header-bar .main-header-menu > .menu-item.current-menu-item a,
.ast-desktop .ast-below-header-bar .main-header-menu > .menu-item.current-menu-item a:focus,
.ast-desktop .ast-below-header-bar .main-header-menu > .menu-item.current-menu-item a:active {
  background-color: #fabd12;
  color: #ffffff;
}

.ast-desktop .ast-below-header-bar .main-header-menu > .menu-item a:hover,
.ast-desktop .ast-below-header-bar .main-header-menu > .menu-item a:focus,
.ast-desktop .ast-below-header-bar .main-header-menu > .menu-item a:active {
  /*background-color: #222222;*/
  color: #689931;
}

.ast-desktop .ast-below-header-bar .main-header-menu > .menu-item.current-menu-item:hover a{
  color: #ffffff;
}

.sub-menu {
  text-transform: none;
}

/************* ikonice u top meniju ************/

.wp-contact-box {
  display: flex;
  gap: 15px;
  align-items: center;
}

.wp-contact-item {
  display: flex;
  align-items: center;
  gap: 10px;
  text-decoration: none;
}

.wp-contact-item img {
  width: 28px;
  height: 28px;
  display: block;
  flex-shrink: 0;
}

.wp-contact-text p {
  margin: 0;
  line-height: 1.2;
}

.wp-label {
  font-size: 12px;
}

.wp-link-text {
  font-weight: 700;
}

.wp-contact-box a {
  border-right: 1px solid #ddd;
  padding-right: 20px;
}


@media (max-width: 1200px) {

  .site-header .wp-contact-box{
    line-height: normal;
  }

  .site-header .wp-contact-box img{
    width: 22px!important;
    height: 22px!important;
  }

  .site-header .wp-contact-box a{
    gap: 8px;
  }

  .site-header .wp-contact-box a span{
    font-size: 14px!important;
  }

  .site-header .wp-contact-box a:last-child {
    border-right: none;
    padding-right: 0px;
  }

}

@media (max-width: 768px) {
  .site-header-primary-section-center.site-header-section {
    flex-direction: column;
  }

  #ast-mobile-header .site-logo-img{
    padding-right: 0px;
  }

  #ast-mobile-header .site-logo-img img{
    height: 50px;
    width: auto; img
  }

  aside.header-widget-area{
    width: 100%;
  }

}


/*********** sidebar right ******/

.ast-right-sidebar #primary {
  padding-right: 0px;
}

.home.ast-right-sidebar #primary {
  padding-right: 15px;
}

.ast-right-sidebar #secondary {
  padding-left: 25px;
  padding-right: 25px;
  margin-top: 18px;
  margin-top: 1.5em;
}

#primary {
  margin: 1.5em 0;
}

#secondary h2 {
  font-size: 24px;
}

/* sidebar kod single posta koji je boxovan - vesti i projekti */
.ast-separate-container.ast-two-container.ast-right-sidebar #secondary {
  padding-left: 0px;
  padding-right: 0;
}
    
.ast-separate-container.ast-two-container #secondary .widget{
  margin-bottom: 2em;
  padding: 0px 25px;
}

.home .ast-right-sidebar #primary {
  padding-right: 20px;
}

@media (max-width: 768px) {
  .ast-right-sidebar #secondary {
    padding-left: 20px;
    padding-right: 20px;
    border-top: 1px solid #ccc;
    padding-top: 15px;
  }
}

/* ======================
   HOME PAGE GRID - kategorije usluga, promocije, javne nabavke...
   ====================== */

/* Ukloni sidebar samo na Home (blog index) */
.home #secondary {
  display: none;
}

.home #primary {
  width: 100%;
  border: none;
  margin-top: 0px;
  padding: 20px 15px;
}

.home .ast-right-sidebar #primary {
  border: none;
}

.table-like {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
  max-width: 900px;
  margin: 0 auto;
}

/*
.cell {
  display: flex;
  align-items: center;
  justify-content: center;

  padding: 25px;
  text-decoration: none !important;
  color: #fff;
  font-size: 18px;
  text-align: center;
  text-transform: uppercase;

  border-radius: 8px;
  transition:
    background 0.3s ease,
    transform 0.2s ease;
}


.cell:hover {
  background: #f8f8f8 !important;
  color: #333;
}*/

.cell {
  position: relative;
  overflow: hidden;
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 26px 30px 26px 17px;
  text-decoration: none !important;
  color: #fff;
  font-size: 18px;
  text-transform: uppercase;
  border-radius: 8px;
}

.cell:hover {
  background-color: #cecece;
  color: #fff;
}

/* ikonica kao slika */
.cell .icon {
  width: 32px;   /* kontrola veličine */
  height: 32px;
  object-fit: contain;
  flex-shrink: 0;
  z-index: 2;
}

/* tekst */
.cell .label {
  font-weight: 600;
  z-index: 2;
}

.cell .icon {
  filter: brightness(0) invert(1); /* za bele ikonice */
}

.info {
  background-color: #2db3c4;
}

.obuke {
  background-color: #ffbd4f;
}

.savetovanje {
  background-color: #93d6a7;
}

.mentoring {
  background-color: #f1878a;
}

.promocije {
  background-color: #787878;
}

.javne-nabavke {
  background-color: #2da7f1;
}

.full {
  grid-column: 1 / -1;
}

.cell::before {
  content: "";
  position: absolute;
  inset: 0;

  background-image: url("img/kategorije-bg.png");
  background-repeat: no-repeat;
  background-position: right center;
  background-size: cover; /* ili contain / auto */

  opacity: 0.25; /* koliko da se vidi */
  z-index: 1;
}

/* Responsive fallback */

@media (max-width: 768px) {
  .home.ast-right-sidebar #primary {
    padding-right: 10px;
  }

  .home #primary{
    padding: 10px 10px;
  }

  .table-like {
    grid-template-columns: 1fr;
    gap: 5px;
  }

  .cell{
    padding: 20px 30px 20px 17px;
  }
}


/********** Lista vesti **********/

.home-vesti-list-img figure img{
  object-position: left;
}

h2.home-vesti-title{
  font-family: 'Roboto', sans-serif;
}

/* Latest Posts – datum iznad naslova */
.entry-content .wp-block-latest-posts li {
  display: flex;
  flex-direction: column;
}

.entry-content .wp-block-latest-posts li a {
  margin-bottom: 0px;
}

/* datum gore */
.entry-content .wp-block-latest-posts__post-date {
  order: 1;
  font-size: 14px;
  color: #7a7a7a;
  margin-bottom: 0px;
  margin-top: 0px;
}

/* naslov ispod */
.entry-content .wp-block-latest-posts__post-title {
  order: 2;
}


/********** Lista konkursi **********/

ul.home-konkurs-list {
  padding-left: 0px;
  list-style: none;
  margin: 5px auto;
}

li.home-konkurs-item {
  margin-bottom: 10px;
  border-bottom: 1px solid #ebebeb;
  padding-bottom: 10px;
}

li.home-konkurs-item .home-konkurs-rok {
  margin-top: 10px;
}

#content .rda-konkursi-lista {
  margin: 0px 0;
}


/********** Post Carousel – portrait slike **********/

.portrait-post-slider .uagb-post__image {
  aspect-ratio: 3 / 2;
  aspect-ratio: 16 / 9;
  width: 100%;
  overflow: hidden;
}

.portrait-post-slider .uagb-post__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
/*
.portrait-post-slider .uagb-post__inner-wrap {
  height: 100%;
  display: flex;
  flex-direction: column;
}
*/
.portrait-post-slider .uagb-post__content {
  margin-top: auto;
}

/* Zaključavanje visine slike u Spectra Post Carousel */
.wp-block-uagb-post-carousel.home-project-slider .uagb-post__image {
  aspect-ratio: 16 / 9;
  overflow: hidden;
}

/* Slika popunjava okvir bez deformacije */
.wp-block-uagb-post-carousel.home-project-slider .uagb-post__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Sprečava prelamanje teksta u Spectra separatoru */
.home .wp-block-uagb-separator.wp-block-uagb-separator--text{
  white-space: nowrap;
}


/* ======================
   HOME COUNTER
   ====================== */

.home-counter .wp-block-column {
  /*height: 100%;*/
  align-content: center;
}

@media (max-width: 768px) {
  .wp-block-columns.home-counter .wp-block-column{
    margin-bottom: 0px;
  }
}


/* ======================
   TESTIMONIAL SLIDER
   ====================== */

.wp-block-uagb-testimonial.uagb-slick-carousel ul.slick-dots li{
  width: 15px;
  height: 15px;
  margin: 5px;
}   

.wp-block-uagb-testimonial.uagb-slick-carousel ul.slick-dots li button{
  width: 15px;
  height: 15px;
  border-radius: 50px;
}

.wp-block-uagb-testimonial.uagb-slick-carousel ul.slick-dots li button::before{
  width: 15px;
  height: 15px;
  line-height: 15px;
}

.uagb-tm__desc::before {
  content: "";
  display: block;
  width: 50px;
  height: 50px;
  background-image: url('./img/quote.svg'); /* putanja do SVG */
  background-size: contain;
  background-repeat: no-repeat;
  margin-bottom: 5px;
}


@media (max-width: 768px) {
  .uagb-tm__desc::before {
    width: 40px;
    height: 40px;
  }
}

/* ======================
   SINGLE PAGES
   ====================== */

header.entry-header .entry-title {
  font-weight: 500;
  font-size: 28px;
  margin-left: 20px;
  margin-right: 20px;
  padding-bottom: 10px;
  border-bottom: 1px solid #e6e6e6;
}

.team-container hr.wp-block-separator {
  border-top: 1px solid;
}

p.uagb-team__desc a {
  color: #fabd12;
  text-decoration: none !important;
}

p.uagb-team__desc a:hover,
p.uagb-team__desc a:focus,
p.uagb-team__desc a:active {
  color: #34404e;
}

.support-team a {
  color: #fabd12;
}

ol li {
  margin-bottom: 7px;
  line-height: 1.4em;
}

@media (max-width: 768px) {
  header.entry-header .entry-title{
    font-size: 26px;
  }
}
/********** slider pocetna **********/

.home .slick-track {
  display: flex !important;
}

.home .slick-slide {
  height: auto !important;
  display: flex !important;
}

.home .slick-slide > div {
  display: flex;
  width: 100%;
  height: 100% !important;
}

.home .uagb-post__inner-wrap {
  display: flex;
  flex-direction: column;
  height: auto !important;
}

.home .slick-slide article {
  height: 100% !important;
  margin-bottom: 0px !important;
}

.home .uagb-slick-carousel {
  padding: 0px;
  overflow: hidden;
}

.home .uagb-post__image {
  margin-top: 10px;
}

.home .uagb-post__image img {
  border-radius: 4px;
}

.home .uagb-slick-carousel .slick-list {
  background: #f6f6f6;
}

.uagb-slick-carousel .slick-prev:not(:hover):not(:active):not(.has-background),
.uagb-slick-carousel .slick-next:not(:hover):not(:active):not(.has-background),
.uagb-slick-carousel ul.slick-dots li button:not(:hover):not(:active):not(.has-background),
.home .slick-slider button.slick-arrow {
  background-color: #ffbf4f;
}

.home .slick-slider button.slick-arrow:hover {
  background-color: #ffbf4f91;
}

@media (max-width: 768px) {
  #main .home-project-slider{
     margin-left: 0px;
     margin-right: 0px;
  }

  .home .uagb-post__image {
    margin-bottom: 10px;
  }

 #main .home-project-slider .uagb-post__inner-wrap .uagb-post__text:last-child {
      margin-bottom: 10px;
  }
}

/* FOOTER SLIDER */

/* Sekcija iznad footera */
.custom-footer-logo-carousel {
  /*background: #f6f6f6;*/
  border-top: 1px solid #d1d5db;
  padding: 20px 0 15px;
  text-align: center;
}

/* Logo default - full color */
.custom-footer-logo-carousel img {
  max-height: 60px;
  object-fit: contain;
  opacity: 1;
}

/* Responsive - tablet */
@media (max-width: 1024px) {
  .custom-footer-logo-carousel img {
    max-height: 50px;
  }
}

/* Responsive - mobile */
@media (max-width: 768px) {
  .custom-footer-logo-carousel img {
    max-height: 40px;
  }
}

.lswssp-logo-showcase .slick-arrow {
  border-radius: 0px !important;
}

.lswssp-logo-showcase .lswssp-slick-prev,
.lswssp-logo-showcase .lswssp-slick-prev:active,
.lswssp-logo-showcase .lswssp-slick-next,
.lswssp-logo-showcase .lswssp-slick-next:active {
  background: #80bb41;
  z-index: 6;
}

/* vesti lista, bez gornjeg bordera */

.vesti-pocetna .wp-block-columns .wp-block-column:not(:last-child) {
    margin-bottom: 10px;
}

.vesti-print ul.wp-block-post-template li:first-child div {
  border-top: none;
}

.vesti-print ul.wp-block-post-template figure img{
  /*object-position: top;*/
  border-radius: 4px;
}

.vesti-print nav.wp-block-query-pagination{
  gap: 0px;
}

.wp-block-post-excerpt__more-link {
  display: inline-block;
  padding: 5px 15px;
  background-color: #84bc41;
  color: #fff;
  border-radius: 4px;
  font-size: 14px;
}

.wp-block-post-excerpt__more-link:hover,
.wp-block-post-excerpt__more-link:focus,
.wp-block-post-excerpt__more-link:active{
  background-color: #333;
  color: #fff;
}

.pagination {
  display: flex;
  justify-content: space-between;
  gap: 12px;
  margin: 32px 0;
}

.pagination .nav-links {
  display: flex;
  justify-content: space-between;
  width: 100%;
  gap: 12px;
}

.pagination a.page-numbers.prev,
.pagination a.page-numbers.next {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 12px 16px;
  border-radius: 10px;
  background: #233e2d;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  transition: opacity 0.2s ease;
}

.pagination a.page-numbers.prev:hover,
.pagination a.page-numbers.next:hover {
  opacity: 0.9;
}

span.page-numbers,
a.page-numbers {
  border: 1px solid #d1d5db;
  padding: 5px 10px;
  border-radius: 4px;
  color: #6d6d6d;
  margin: 0px 3px;
}

span.page-numbers.current,
a.page-numbers.current {
  background: #f4f4f4;
}

.prev.page-numbers,
.next.page-numbers{
  border-color: transparent;
}


#ast-scroll-top, .ast-separate-container .site-content .ast-single-post-featured-section + article{
  z-index: auto;
}

/********** single post - vesti, projekti... ********/

.single.single-post #primary{
  border-right: 1px solid var(--ast-border-color);
  padding-right: 35px;
  padding-left: 35px;
  margin: 1.5em 0;
}

.single.single-post #primary .ast-article-image-container--wide img{
  border-radius: 5px;
}

.single.single-post #primary .ast-article-image-container--wide {
  margin-left: -15px;
  margin-right: -15px;
}

.single.single-post #primary header.entry-header .entry-title{
  margin-left: 0px;
  margin-right: 0px;
}

.single.single-post #primary .ast-article-single{
  padding: 2em;
}

@media (max-width: 768px) {
  .single.single-post #primary{
    border:0px;
    margin: 0em 0;
    padding: 10px 15px 20px;
  }

  .single.single-post #primary .ast-article-single{
    padding: 1em;
    margin-top: -30px;
  }

  .single.single-post #primary header.entry-header .entry-title{
    font-size: 24px;
    line-height: normal;
  }
}


/**** SINGLE POST CUSTOM HTML GALERIJA *****/

figure.gallery-item{
  box-shadow: none;
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
}

/* uklanja sve br iz galerije */
.my-html-gallery br{
  display:none;
}

/* grid galerija */
.my-html-gallery{
  display:grid;
  grid-template-columns: repeat(3, 1fr);
  gap:16px;
}

/* link kao container */
.my-html-gallery a{
  display:block;
  width:100%;
  height:220px;
  overflow:hidden;
}

/* slike iste visine */
.my-html-gallery img{
  width:100%;
  height:100%;
  object-fit:cover;
  display:block;
}

/* tablet */
@media (max-width:1024px){
  .my-html-gallery{
    grid-template-columns: repeat(2, 1fr);
  }
}

/* mobilni */
@media (max-width:600px){
  .my-html-gallery{
    grid-template-columns: repeat(2, 1fr);
    gap:10px;
  }

  .my-html-gallery a{
    height:160px;
  }
}


/* ======================
   PROJEKTI
   ====================== */

.rda-pl-btn {
  border: 1px solid #84bc41;
  background: transparent;
  color: #84bc41;
  padding: 8px 20px;
  border-radius: 4px;
  cursor: pointer;
  line-height: 1;
}

.rda-pl-btn.is-active, 
.rda-pl-btn:hover{
  border: 1px solid transparent;
  background: #84bc41;
  color: #ffffff;
}

.rda-pl-pagination {
  margin-top: 10px;
  display: flex;
  justify-content: center;
}

ul.page-numbers{
  padding-left: 0px;
  list-style: none;
}

ul.page-numbers li{
  display: inline-block;
}


/* ======================
   PUBLIKACIJE
   ====================== */

.col-bilteni .wp-block-button,
.col-publikacije .wp-block-button{
  position: relative;
  margin-top: -46px;
  z-index: 1;
}

.col-bilteni .wp-block-button a,
.col-publikacije .wp-block-button a{
  margin-left: 72px;
}


/* ======================
   VIDEO GALERIJA - da je modal u sredini
   ====================== */

.rda-vg-modal {
  position: fixed !important;
}

/* ======================
   KONTAKT STRANICA - Kontakt podaci sekcija na mobile
   ====================== */

@media (max-width: 768px) {
  .kontakt-strana-podaci{
    border: 0px;
    padding-left: 0px!important;
  }
}



/* ======================
   SIDEBAR WIDGETI
   ====================== */

/* Aktuelno konkursi widget */

.rda-sidebar-list li{
  border-bottom: 1px solid #ccc;
  padding-bottom: 10px;
  line-height: 20px!important;
}

a.rda-sidebar-link {
  font-weight: 500;
}

a.rda-sidebar-link:hover,
a.rda-sidebar-link:focus{
  color:#fabd12
}

.rda-sidebar-meta {
  padding-top: 6px;
  font-size: 14px;
  color: #6A6A6A;
}

.rda-sidebar-meta > b {
  color: #2b2b2b;
  font-weight: 500;
}


/* Newsletter widget */

.newsletter-widget {
  background: #2db3c4;
  padding: 24px 20px;
  border-radius: 5px;
  color: #fff;
  box-shadow: 0 10px 25px rgba(0,0,0,0.15);
  margin-bottom: 25px;
}

.newsletter-widget h3 {
  font-weight: 500;
  margin-bottom: 12px;
  color: #ffffff;
}

.newsletter-widget p {
  font-size: 14px;
  line-height: 1.4;
  margin-bottom: 15px;
}

.newsletter-btn {
  display: block;
  background: #fff;
  color: #2db3c4;
  padding: 12px 20px;
  font-weight: 600;
  border-radius: 4px;
  margin-bottom: 12px;
  transition: all 0.25s ease;
  text-transform: uppercase;
  letter-spacing: 0.04em;
  text-align: center;
}

.newsletter-btn:hover {
  background: #f2f2f2;
}

.newsletter-archive {
  display: inline-flex;
  align-items: center;
  gap: 6px;
  font-size: 16px;
  color: #eaffff;
}

.newsletter-archive .arrow {
  transition: transform 0.2s ease;
}

.newsletter-archive:hover .arrow {
  transform: translateX(4px);
}

/* USLUGE WIDGET */

.links-widget h3, .rda-sidebar-title h3 {
  font-weight: 500;
  margin-bottom: 12px;
  text-transform: uppercase;
}

.links-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.links-list li {
  border-bottom: 1px solid #e0e0e0;
  margin-bottom: 0px !important;
}

.links-list li:last-child {
  border-bottom: none;
}

.links-list a {
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 12px 0;
  color: #333;
  text-decoration: none;
  font-size: 15px;
  transition: all 0.25s ease;
}

.links-list .icon {
  color: #999;
  font-size: 18px;
  transition: transform 0.25s ease, color 0.25s ease;
}

.links-list a:hover {
  color: #2db3c4;
}

.links-list a:hover .icon {
  transform: translateX(4px);
  color: #2db3c4;
}

.links-cta {
  display: flex;
  justify-content: center;
  width: 100%;
  align-items: center;
  gap: 6px;
  margin-top: 18px;
  padding: 10px 15px;
  background: #2db3c4;
  color: #fff;
  font-size: 16px;
  text-decoration: none;
  border-radius: 4px;
  transition: background 0.25s ease;
}

.links-cta .arrow {
  transition: transform 0.2s ease;
  line-height: normal;
}

.links-cta:hover {
  background: #2499a8; /* malo tamnija varijanta */
  color: #ffffff;
}

.links-cta:hover .arrow {
  transform: translateX(4px);
}



/* ======================
   FOOTER KONTAKT WIDGET
   ====================== */

footer.site-footer h4 {
    margin-bottom: 10px;
}

footer ul#astra-footer-menu {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 3px;
}

.footer-contact-widget .footer-widget-item {
  position: relative;
  margin-bottom: 15px;
  line-height: 20px;
  font-size: 14px;
}

.footer-contact-widget .footer-widget-icon {
  position: absolute;
  width: 24px;
  height: 40px;
  line-height: 40px;
  text-align: center;
}

.footer-contact-widget .footer-widget-icon img {
  width: 24px;
}

.footer-contact-widget .footer-widget-label, .footer-contact-widget .footer-widget-text {
  padding-left: 35px;
}

.footer-contact-widget .footer-widget-text {
  font-size: 15px;
  font-weight: 600;
}

@media (max-width: 768px) {
  .footer-contact-widget, .site-footer .footer-widget-area .ast-builder-html-element{
    text-align: left;
  }

  #colophon .site-primary-footer-wrap .site-footer-section{
    margin-bottom: 15px;
  }
}



/* ======================
   MEDIA QUERY
   ====================== */

/*
.footer-bar-navigation nav[aria-label="Site Navigation: footer-menu-lat"] #astra-footer-menu::before{
    content: "MAPA SAJTA";
}

.footer-bar-navigation nav[aria-label="Site Navigation: footer-menu-cyr"] #astra-footer-menu::before{
    content: "МАПА САЈТА";
}

.footer-bar-navigation nav[aria-label="Site Navigation: footer-menu-eng"] #astra-footer-menu::before{
    content: "SITE MAP";
}*/

/* Ciljamo wrapper oko ul menija */
nav[aria-label="Site Navigation: footer-menu-cyr"] .footer-nav-wrap::before {
    content: "МАПА САЈТА";
    font-family: 'Roboto Condensed', sans-serif;
    display: block;
    font-size: 1.25rem;
    line-height: 1.2em;
    font-weight: 400;
    margin-bottom: 10px;
    text-transform: uppercase;
    color: #34404e;
}

nav[aria-label="Site Navigation: footer-menu-lat"] .footer-nav-wrap::before {
    content: "MAPA SAJTA";
    font-family: 'Roboto Condensed', sans-serif;
    display: block;
    font-size: 1.25rem;
    line-height: 1.2em;
    font-weight: 400;
    margin-bottom: 10px;
    text-transform: uppercase;
    color: #34404e;
}

nav[aria-label="Site Navigation: footer-menu-eng"] .footer-nav-wrap::before {
    content: "SITE MAP";
    font-family: 'Roboto Condensed', sans-serif;
    display: block;
    font-size: 1.25rem;
    line-height: 1.2em;
    font-weight: 400;
    margin-bottom: 10px;
    text-transform: uppercase;
    color: #34404e;
}



/* 3. Spectra lightbox iznad svega 
body .spectra-image-gallery__lightbox-wrapper{
  position: fixed !important;
  inset: 0;
  z-index: 999999 !important;
}

 4. Sprečava da Astra container seče lightbox 
.ast-container,
.site-content{
  overflow: visible;
}

 5. Swiper overlay fix 
.single.single-post .swiper{
  z-index: auto;
}
*/

.single.single-post .spectra-image-gallery__control-lightbox--close{
  top: 55px;
  right: 25px;
}

.glightbox-clean .gclose{
  padding: 7px;
}


@media (max-width: 781px) {
  #main .clanovi {
    gap:18px;
  }

  #main .clanovi > .wp-block-column {
    flex-basis: 45% !important;
    margin-bottom: 3px;
  }
}




